macro(ADD_CXX_TOOL tool_name)
  add_executable(${tool_name} ${tool_name}.cc)
  target_link_libraries(${tool_name} ${LIBNAME})
  target_compile_options(${tool_name} PUBLIC -Wall -Wextra)
  target_link_directories(${tool_name} BEFORE PRIVATE ${CMAKE_BINARY_DIR})
  target_include_directories(${tool_name} BEFORE PRIVATE $<TARGET_PROPERTY:${PROJECT_NAME}INCLUDE_DIRECTORIES>)
  install(TARGETS ${tool_name} DESTINATION ${CMAKE_INSTALL_BINDIR})
endmacro()
